# Interface ModelMesh

A single mesh with geometry data, style, and transform.

interface ModelMesh {
indexCount: number;
style: ModelMeshStyle;
vertexCount: number;
getVertexData(): Promise<BimVertexData>;
}

##### Index

### Properties

indexCount
style
vertexCount

### Methods

getVertexData

## Properties

### `Readonly` indexCount

indexCount: number

### `Readonly` style

style: ModelMeshStyle

Material/style applied to this mesh.

### `Readonly` vertexCount

vertexCount: number

## Methods

### getVertexData

- getVertexData(): Promise<BimVertexData>

  Resolves the vertex positions, normals, and indices for this mesh.

  #### Returns Promise<BimVertexData>